Bug 1284391 - systemctl reboot doesn't work due to inhibitors
systemctl reboot doesn't work due to inhibitors
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 03:47 EST by Jan Synacek
Modified: 2016-12-20 11:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:11:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2015-11-23 03:47:02 EST
Description of problem:
$ systemctl reboot
Operation inhibited by "jsynacek" (PID 2286 "gnome-session-b", user jsynacek), reason is "user session inhibited".
Please retry operation after closing inhibitors and logging out other users.
Alternatively, ignore inhibitors and users with 'systemctl reboot -i'.

$ ps u | grep 2286
jsynacek  2286  0.0  0.1 660864 13200 tty2     Sl+  09:33   0:00 /usr/libexec/gnome-session-binary

I'm not sure if this is a problem in gnome-session-binary or systemd.


Version-Release number of selected component (if applicable):
gnome-session-3.18.1.2-2.fc23.x86_64
systemd-222-8.fc23.x86_64


Steps to Reproduce:
1. See description.


Actual results:
Reboot inhibited with only one user (the one issuing the command) logged in.


Expected results:
System reboots as expected.
Comment 1 Langdon White 2016-01-06 16:41:10 EST
I have the same issue on "suspend" (technically, laptop lid closed) but also if I manually "systemctl suspend". However, it does suspend correctly with "systemctl suspend -i".

Message:
Operation inhibited by "lwhite" (PID 3125 "gnome-session-b", user lwhite), reason is "user session inhibited".
Please retry operation after closing inhibitors and logging out other users.
Alternatively, ignore inhibitors and users with 'systemctl suspend -i'.
 
ps u | grep 3125
lwhite    3125  0.0  0.0 661056  3704 tty2     Sl+  Jan04   0:00 /usr/libexec/gnome-session-binary

Version-Release number of selected component (if applicable):
gnome-session-3.18.1.2-2.fc23.x86_64
systemd-222-8.fc23.x86_64
gnome-session-3.18.1.2-2.fc23.x86_64
systemd-222-10.fc23.x86_64
Comment 2 Langdon White 2016-01-06 16:42:06 EST
oops.. 

the correct versions are: 
gnome-session-3.18.1.2-2.fc23.x86_64
systemd-222-10.fc23.x86_64
Comment 3 Lennart Poettering 2016-02-10 10:01:05 EST
run "systemd-inhibit --list" to see details about what is inhibiting the reboot.

Since it appears to be gnome-session that does this (maybe because a pkgkit upgrade is ongoing), reassignint to gnome-session.
Comment 4 Fedora End Of Life 2016-11-24 08:39:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Langdon White 2016-11-29 16:43:49 EST
Just FYI, I am not experiencing this issue anymore as of:
gnome-session 3.22.1-2.fc25                                                                     systemd.x86_64 231-10
Comment 6 Fedora End Of Life 2016-12-20 11:11:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.